aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-24 12:41:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-24 12:41:07 +0000
commita1e641c9e26bfdffc13538380ed369696462cb28 (patch)
treeb2a54602c7d74ca56abe8602427827927156ca60
parentd8955047d90a670ad46ee7445c02237d44218c51 (diff)
downloadaports-a1e641c9e26bfdffc13538380ed369696462cb28.tar.gz
aports-a1e641c9e26bfdffc13538380ed369696462cb28.tar.bz2
aports-a1e641c9e26bfdffc13538380ed369696462cb28.tar.xz
extra/pcmciautils: new aport
Utilities for inserting and removing PCMCIA cards http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html
-rw-r--r--extra/gnats/gnats.install8
-rw-r--r--extra/gnats/gnats.pre-install4
-rw-r--r--extra/pcmciautils/APKBUILD21
3 files changed, 25 insertions, 8 deletions
diff --git a/extra/gnats/gnats.install b/extra/gnats/gnats.install
deleted file mode 100644
index c0f21c88b5..0000000000
--- a/extra/gnats/gnats.install
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-case "$1" in
- pre_install)
- adduser -h /var/lib/gnatsdb -D gnats 2>/dev/null
- ;;
-esac
-exit 0
diff --git a/extra/gnats/gnats.pre-install b/extra/gnats/gnats.pre-install
new file mode 100644
index 0000000000..0a2e5a589b
--- /dev/null
+++ b/extra/gnats/gnats.pre-install
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+adduser -h /var/lib/gnatsdb -D gnats 2>/dev/null
+exit 0
diff --git a/extra/pcmciautils/APKBUILD b/extra/pcmciautils/APKBUILD
new file mode 100644
index 0000000000..f11f6e06bf
--- /dev/null
+++ b/extra/pcmciautils/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pcmciautils
+pkgver=015
+pkgrel=0
+pkgdesc="Utilities for inserting and removing PCMCIA cards"
+url="http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html"
+license="GPL"
+subpackages="$pkgname-doc"
+depends="uclibc sysfsutils"
+makedepends="sysfsutils-dev bison flex"
+source="http://kernel.org/pub/linux/utils/kernel/pcmcia/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+# sed -i -e 's,/usr/bin/install,/bin/install,g' Makefile
+ make build/ccdv || return 1
+ make LEX=flex || return 1
+ make DESTDIR="$pkgdir"/ install
+ ln -sf pccardctl "$pkgdir"/sbin/lspcmcia
+}
+md5sums="9e12435c8b6cf7bf59894e90e480b4aa pcmciautils-015.tar.bz2"